<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.system.mapper.SysDictDetailMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap" type="com.storlead.system.pojo.entity.SysDictDetailEntity">
        <id column="dict_detail_id" property="dictDetailId" />
        <result column="dict_id" property="dictId" />
        <result column="label" property="label" />
        <result column="value" property="value" />
        <result column="ext_field" property="extField" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        dict_detail_id, dict_id, label,`value`,ext_field,<include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
    </sql>

    <select id="selectWorkDataNameById" resultType="java.lang.String">
        select ${fieldColumn} from ${tableName} where ${keyId} = #{keyValue} limit 1
    </select>

</mapper>
